VST 3 Examples: SynthData< VoiceT, kEventBufferSize, kNumVoices > Struct Template Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
SynthData< VoiceT, kEventBufferSize, kNumVoices > Struct Template Reference

`#include <mdaBaseProcessor.h>`

## Public Types
using | VOICE = VoiceT
using | EventArray = std::array<Event, kEventBufferSize>
using | EventPos = typename EventArray::size_type
using | VoiceArray = std::array<VOICE, kNumVoices>

## Public Member Functions
void | init () noexcept
bool | hasEvents () const noexcept
void | clearEvents () noexcept
void | processEvent (const Event &e) noexcept

## Public Attributes
EventArray | events
EventPos | eventPos {0}
VoiceArray | voice
int32 | activevoices {0}
int32 | sustain {0}

## Static Public Attributes
static constexpr int32 | eventBufferSize = kEventBufferSize
static constexpr int32 | numVoices = kNumVoices
static constexpr int32 | eventsDoneID = 99999999

## Member Typedef Documentation

## ◆ VOICE

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

using VOICE = VoiceT

## ◆ EventArray

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

using EventArray = std::array<Event, kEventBufferSize>

## ◆ EventPos

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

using EventPos = typename EventArray::size_type

## ◆ VoiceArray

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

using VoiceArray = std::array<VOICE, kNumVoices>

## Member Function Documentation

## ◆ init()

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

void init | ( |  | ) |
| inlinenoexcept

## ◆ hasEvents()

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

bool hasEvents | ( |  | ) | const
| inlinenoexcept

## ◆ clearEvents()

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

void clearEvents | ( |  | ) |
| inlinenoexcept

## ◆ processEvent()

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

void processEvent | ( | const Event & | e | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ eventBufferSize

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

int32 eventBufferSize = kEventBufferSize
| staticconstexpr

## ◆ numVoices

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

int32 numVoices = kNumVoices
| staticconstexpr

## ◆ eventsDoneID

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

int32 eventsDoneID = 99999999
| staticconstexpr

## ◆ events

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

EventArray events

## ◆ eventPos

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

EventPos eventPos {0}

## ◆ voice

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

VoiceArray voice

## ◆ activevoices

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

int32 activevoices {0}

## ◆ sustain

template<typename VoiceT, int32 kEventBufferSize, int32 kNumVoices>

int32 sustain {0}

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.